Results 1 to 8 of 8

Thread: updating owncloud equires libQt5Gui.so.5(Qt_5.12.7_PRIVATE_API)(64bit), but not provided

  1. #1

    Default updating owncloud equires libQt5Gui.so.5(Qt_5.12.7_PRIVATE_API)(64bit), but not provided

    on my laptop using KDE I tried to update but owncloud gives me this problem:
    Code:
    #### YaST2 conflicts list - generated 2021-02-24 18:36:07 ####
    
    nextcloud-desktop-3.1.2-lp152.2.3.1.x86_64 requires libQt5Gui.so.5(Qt_5.12.7_PRIVATE_API)(64bit), but this requirement cannot be provided
    not installable providers: libQt5Gui5-5.12.7-lp152.2.3.x86_64[repo-oss]
                       libQt5Gui5-5.12.7-lp152.3.10.1.x86_64[repo-update]
                       libQt5Gui5-5.12.7-lp152.3.16.1.x86_64[repo-update]
                       libQt5Gui5-5.12.7-lp152.3.3.1.x86_64[repo-update]
                       libQt5Gui5-5.12.7-lp152.3.6.1.x86_64[repo-update]
                       libQt5Gui5-5.12.7-lp152.3.9.1.x86_64[repo-update]
        [ ] do not install nextcloud-desktop-3.1.2-lp152.2.3.1.x86_64
    
    
        [ ] break nextcloud-desktop-3.1.2-lp152.2.3.1.x86_64 by ignoring some of its dependencies
    
    
        [ ] Following actions will be done:
    do not install python3-pyside2-5.15.1-lp152.44.65.x86_64
    ....and a lot of others
    do not install baloo5-kioslaves-5.79.0-lp152.254.1.x86_64
    do not install baloo5-imports-5.79.0-lp152.254.1.x86_64
    do not install baloo5-file-5.79.0-lp152.254.1.x86_64
    downgrade of libkdecorations2private7-5.20.5-lp152.245.1.x86_64 to libkdecorations2private7-5.18.5-lp152.1.2.x86_64
    install libkdecorations2private7-5.18.5-lp152.1.2.x86_64 (with vendor change)
      obs://build.opensuse.org/KDE  -->  openSUSE
    downgrade of libQt5Core5-5.15.2-lp152.6.1.x86_64 to libQt5Core5-5.12.7-lp152.3.16.1.x86_64
    install libQt5Core5-5.12.7-lp152.3.16.1.x86_64 (with vendor change)
      obs://build.opensuse.org/KDE  -->  openSUSE
    ...and a lot af others
    I choosed [ ] do not install nextcloud-desktop-3.1.2-lp152.2.3.1.x86_64
    how can I update owncloud?

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,558

    Default AW: updating owncloud equires libQt5Gui.so.5(Qt_5.12.7_PRIVATE_API)(64bit), but not provided

    Post:
    Code:
    zypper lr -d
    downgrade of libQt5Core5-5.15.2-lp152.6.1.x86_64 to libQt5Core5-5.12.7-lp152.3.16.1.x86_64
    install libQt5Core5-5.12.7-lp152.3.16.1.x86_64 (with vendor change)
    obs://build.opensuse.org/KDE --> openSUSE
    KDE Repos enabled?
    Last edited by Sauerland; 24-Feb-2021 at 11:13.

  3. #3

    Default Re: AW: updating owncloud equires libQt5Gui.so.5(Qt_5.12.7_PRIVATE_API)(64bit), but not provided

    Quote Originally Posted by Sauerland View Post
    Post:
    Code:
    zypper lr -d

    KDE Repos enabled?
    yes KDE Repos are enabled
    here is the output:
    Code:
    pla@pla4-TW:~> zypper lr -d#  | Alias                     | Name                                           | Enabled | GPG Check | Refresh | Priority | Type     | URI                                                                                             | Service
    ---+---------------------------+------------------------------------------------+---------+-----------+---------+----------+----------+-------------------------------------------------------------------------------------------------+--------
     1 | 15.2                      | Tuxedo leap 15.2                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://rpm.tuxedocomputers.com/opensuse/15.2/                                                  | 
     2 | KDE-Applications(neon)    | KDE-Applications(neon)                         | Yes     | (r ) Yes  | Yes     |   75     | rpm-md   | https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.2 | 
     3 | KDE-Extra(neon)           | KDE-Extra(neon)                                | Yes     | (r ) Yes  | Yes     |   75     | rpm-md   | https://download.opensuse.org/repositories/KDE:/Extra/KDE_Applications_openSUSE_Leap_15.2       | 
     4 | KDE-Frameworks(neon)      | KDE-Frameworks(neon)                           | Yes     | (r ) Yes  | Yes     |   75     | rpm-md   | https://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.2                  | 
     5 | KDE-Qt5(neon)             | KDE-Qt5(neon)                                  | Yes     | (r ) Yes  | Yes     |   75     | rpm-md   | https://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.2                          | 
     6 | openSUSE-Leap-15.2-1      | openSUSE-Leap-15.2-1                           | No      | ----      | ----    |   99     | rpm-md   | hd:/?device=/dev/disk/by-id/scsi-1SanDiskCruzer_Blade-part2                                     | 
     7 | openSUSE_Leap_15.2        | suse-TUXEDO (openSUSE_Leap_15.2)               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/isv:/TUXEDO/openSUSE_Leap_15.2/                       | 
     8 | openSUSE_Leap_15.2_1      | suse-network:/telephony/openSUSE_1.5.2(skype)  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://download.opensuse.org/repositories/network:/telephony/openSUSE_Leap_15.2/               | 
     9 | openSUSE_Leap_15.2_10     | KDE-Extra                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.2/                       | 
    10 | openSUSE_Leap_15.2_11     | suse-Office(pdfarranger)                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://download.opensuse.org/repositories/Office/openSUSE_Leap_15.2/                           | 
    11 | openSUSE_Leap_15.2_12     | suse-devel:/languages:/python(python3-pikepdf) | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://download.opensuse.org/repositories/devel:/languages:/python/openSUSE_Leap_15.2/         | 
    12 | openSUSE_Leap_15.2_13     | suse-LibreOffice:/7.0                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://download.opensuse.org/repositories/LibreOffice:/7.0/openSUSE_Leap_15.2/                 | 
    13 | openSUSE_Leap_15.2_14     | suse-network:/im(signal)                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://download.opensuse.org/repositories/network:/im:/signal/openSUSE_Leap_15.2/              | 
    14 | openSUSE_Leap_15.2_2      | suse-/mozilla(firefox)                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.2/                          | 
    15 | openSUSE_Leap_15.2_3      | suse-/server:/messaging(telegram)              | No      | ----      | ----    |   99     | rpm-md   | https://download.opensuse.org/repositories/server:/messaging/openSUSE_Leap_15.2/                | 
    16 | openSUSE_Leap_15.2_4      | suse-/security(ike-scan)                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://download.opensuse.org/repositories/security/openSUSE_Leap_15.2/                         | 
    17 | openSUSE_Leap_15.2_5      | suse-science(openSCAD)                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/science/openSUSE_Leap_15.2/                           | 
    18 | openSUSE_Leap_15.2_6      | suse-Emulators:/Wine(Wine)                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_15.2/                   | 
    19 | openSUSE_Leap_15.2_7      | suse-GNOME:/Apps                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/GNOME:/Apps/openSUSE_Leap_15.2/                       | 
    20 | openSUSE_Leap_15.2_8      | suse-M17N:/fonts                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/M17N:/fonts/openSUSE_Leap_15.2/                       | 
    21 | openSUSE_Leap_15.2_9      | suse-isv:/ownCloud                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/openSUSE_Leap_15.2/            | 
    22 | opensuse-guide.org-repo   | Libdvdcss Repository                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://opensuse-guide.org/repo/openSUSE_Leap_15.2/                                              | 
    23 | packman.inode.at-suse     | Packman Repository                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://packman.inode.at/suse/openSUSE_Leap_15.2/                                                | 
    24 | repo-debug                | Debug Repository                               | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/debug/distribution/leap/15.2/repo/oss/                             | 
    25 | repo-debug-non-oss        | Debug Repository (Non-OSS)                     | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/debug/distribution/leap/15.2/repo/non-oss/                         | 
    26 | repo-debug-update         | Update Repository (Debug)                      | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/debug/update/leap/15.2/oss/                                        | 
    27 | repo-debug-update-non-oss | Update Repository (Debug, Non-OSS)             | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/debug/update/leap/15.2/non-oss/                                    | 
    28 | repo-non-oss              | Non-OSS Repository                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/distribution/leap/15.2/repo/non-oss/                               | 
    29 | repo-oss                  | Main Repository                                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/distribution/leap/15.2/repo/oss/                                   | 
    30 | repo-source               | Source Repository                              | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/source/distribution/leap/15.2/repo/oss/                            | 
    31 | repo-source-non-oss       | Source Repository (Non-OSS)                    | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/source/distribution/leap/15.2/repo/non-oss/                        | 
    32 | repo-update               | Main Update Repository                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/update/leap/15.2/oss/                                              | 
    33 | repo-update-non-oss       | Update Repository (Non-Oss)                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/update/leap/15.2/non-oss/                                          | 
    34 | repositoryTW              | z-LOCAL-repository(zoom-ipscan)                | Yes     | ( p) Yes  | No      |   99     | plaindir | dir:/dati/impo-conf/repositoryTW                                                                | 
    35 | x86_64                    | google(chrome)                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://dl.google.com/linux/chrome/rpm/stable/x86_64/                                            | 
    36 | x86_64_1                  | brave(web browser)                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://brave-browser-rpm-release.s3.brave.com/x86_64/                                          | 
    pla@pla4-TW:~>

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,558

    Default AW: updating owncloud equires libQt5Gui.so.5(Qt_5.12.7_PRIVATE_API)(64bit), but not provided

    Wow!!!!
    So many Repos.......

    Its better to use less Repos, less errors....

    The nextcloud-desktop is build against QT 5.12, but you have installed 5.15.....
    Also against KF 5.18 and not 5.20

    downgrade of libkdecorations2private7-5.20.5-lp152.245.1.x86_64 to libkdecorations2private7-5.18.5-lp152.1.2.x86_64
    install libkdecorations2private7-5.18.5-lp152.1.2.x86_64 (with vendor change)
    obs://build.opensuse.org/KDE --> openSUSE
    downgrade of libQt5Core5-5.15.2-lp152.6.1.x86_64 to libQt5Core5-5.12.7-lp152.3.16.1.x86_64
    install libQt5Core5-5.12.7-lp152.3.16.1.x86_64 (with vendor change)
    Thats why I do not install the latest KF and QT and its a long way to revert this.

  5. #5

    Default Re: AW: updating owncloud equires libQt5Gui.so.5(Qt_5.12.7_PRIVATE_API)(64bit), but not provided

    Quote Originally Posted by Sauerland View Post
    Wow!!!!
    So many Repos.......

    Its better to use less Repos, less errors....
    each one has its good reason (indicated in the name between parenthesis)

    Quote Originally Posted by Sauerland View Post
    The nextcloud-desktop is build against QT 5.12, but you have installed 5.15.....
    Also against KF 5.18 and not 5.20



    Thats why I do not install the latest KF and QT and its a long way to revert this.
    ...so the solution i to wait ??
    or downgrade everything as yast suggest?
    in the past I had to install suse-isv:/ownCloud becouse the standard version didn't work, I don't know today but downgrade thousand of packages seems not a good way..

  6. #6
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,558

    Default AW: updating owncloud equires libQt5Gui.so.5(Qt_5.12.7_PRIVATE_API)(64bit), but not provided

    ...so the solution i to wait ??
    or downgrade everything as yast suggest?
    in the past I had to install suse-isv:/ownCloud becouse the standard version didn't work, I don't know today but downgrade thousand of packages seems not a good way..
    As I wrote, hard way......


    And you have too many repos enabled..........

  7. #7

    Default Re: AW: updating owncloud equires libQt5Gui.so.5(Qt_5.12.7_PRIVATE_API)(64bit), but not provided

    Quote Originally Posted by Sauerland View Post
    As I wrote, hard way......


    And you have too many repos enabled..........
    I passed to owncloud and it works

  8. #8

    Default Re: updating owncloud equires libQt5Gui.so.5(Qt_5.12.7_PRIVATE_API)(64bit), but not provided


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •